Órdenes
Crear una orden
Crea una orden abierta. Los impuestos de cada ítem se derivan del producto referenciado, igual que en las facturas.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
orders
Crear una orden
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 123,
"discount": 123
}
],
"emission_point_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>"
}
}
'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders"
payload = { "order": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 123,
"discount": 123
}
],
"emission_point_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order: {
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
items: [
{
product_variant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quantity: 123,
unit_price: 123,
discount: 123
}
],
emission_point_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
notes: '<string>'
}
})
};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'order' => [
'contact_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'items' => [
[
'product_variant_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'product_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'quantity' => 123,
'unit_price' => 123,
'discount' => 123
]
],
'emission_point_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'notes' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders"
payload := strings.NewReader("{\n \"order\": {\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"items\": [\n {\n \"product_variant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123,\n \"unit_price\": 123,\n \"discount\": 123\n }\n ],\n \"emission_point_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"notes\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"order\": {\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"items\": [\n {\n \"product_variant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123,\n \"unit_price\": 123,\n \"discount\": 123\n }\n ],\n \"emission_point_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"notes\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"order\": {\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"items\": [\n {\n \"product_variant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123,\n \"unit_price\": 123,\n \"discount\": 123\n }\n ],\n \"emission_point_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"notes\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"status": "open",
"emission_date": "2023-12-25",
"contact_name": "<string>",
"total": 123,
"collected_amount": 123,
"outstanding_amount": 123,
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>"
},
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"store_code": "<string>",
"store_name": "<string>"
},
"notes": "<string>",
"ready_to_emit": true,
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_without_taxes": 123,
"total_discount": 123,
"taxes": [
{
"code": "<string>",
"label": "<string>",
"rate": 123,
"base": 123,
"iva": 123
}
],
"total_ice": 123,
"created_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"discount": 123,
"subtotal": 123,
"tax_rate": 123,
"tax_value": 123,
"ice_rate": 123,
"total": 123
}
],
"collections": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"collected_on": "2023-12-25",
"forma_pago": "<string>",
"forma_pago_label": "<string>",
"notes": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"field_errors": {}
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta.
Body
application/json
Show child attributes
Show child attributes
Response
La orden creada.
Show child attributes
Show child attributes
Crear una orden
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 123,
"discount": 123
}
],
"emission_point_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>"
}
}
'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders"
payload = { "order": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 123,
"discount": 123
}
],
"emission_point_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order: {
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
items: [
{
product_variant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quantity: 123,
unit_price: 123,
discount: 123
}
],
emission_point_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
notes: '<string>'
}
})
};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'order' => [
'contact_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'items' => [
[
'product_variant_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'product_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'quantity' => 123,
'unit_price' => 123,
'discount' => 123
]
],
'emission_point_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'notes' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders"
payload := strings.NewReader("{\n \"order\": {\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"items\": [\n {\n \"product_variant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123,\n \"unit_price\": 123,\n \"discount\": 123\n }\n ],\n \"emission_point_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"notes\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"order\": {\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"items\": [\n {\n \"product_variant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123,\n \"unit_price\": 123,\n \"discount\": 123\n }\n ],\n \"emission_point_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"notes\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dashboard.tellen.app/api/v1/accounts/{account_id}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"order\": {\n \"contact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"items\": [\n {\n \"product_variant_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quantity\": 123,\n \"unit_price\": 123,\n \"discount\": 123\n }\n ],\n \"emission_point_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"notes\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"status": "open",
"emission_date": "2023-12-25",
"contact_name": "<string>",
"total": 123,
"collected_amount": 123,
"outstanding_amount": 123,
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>"
},
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"store_code": "<string>",
"store_name": "<string>"
},
"notes": "<string>",
"ready_to_emit": true,
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_without_taxes": 123,
"total_discount": 123,
"taxes": [
{
"code": "<string>",
"label": "<string>",
"rate": 123,
"base": 123,
"iva": 123
}
],
"total_ice": 123,
"created_at": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"discount": 123,
"subtotal": 123,
"tax_rate": 123,
"tax_value": 123,
"ice_rate": 123,
"total": 123
}
],
"collections": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"collected_on": "2023-12-25",
"forma_pago": "<string>",
"forma_pago_label": "<string>",
"notes": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"field_errors": {}
}